diff --git a/src/lib/internal.h b/src/lib/internal.h
index 677925142f..7056a5080e 100644
--- a/src/lib/internal.h
+++ b/src/lib/internal.h
@@ -1016,7 +1016,9 @@ clamp_to_sixelmax(const tinfo* t, int* y, int* x){
     *y = t->sixel_maxy;
   }
   if(*y % t->sprixel_scale_height){
-    *y += t->sprixel_scale_height - (*y % t->sprixel_scale_height);
+    // FIXME take it up and use transparent rows, rather than clipping FIXME
+    //*y += t->sprixel_scale_height - (*y % t->sprixel_scale_height);
+    *y -= *y % t->sprixel_scale_height;
   }
   if(t->sixel_maxx && *x > t->sixel_maxx){
     *x = t->sixel_maxx;
diff --git a/src/tests/bitmap.cpp b/src/tests/bitmap.cpp
index 278ddddb0a..9b4f57cfda 100644
--- a/src/tests/bitmap.cpp
+++ b/src/tests/bitmap.cpp
@@ -38,7 +38,7 @@ TEST_CASE("Bitmaps") {
       .flags = NCVISUAL_OPTION_NODEGRADE,
       .transcolor = 0,
     };
-    CHECK(0 == ncvisual_resize(ncv, 1, 1));
+    CHECK(0 == ncvisual_resize(ncv, 6, 1)); // FIXME get down to (1, 1)
     auto n = ncvisual_render(nc_, ncv, &vopts);
     REQUIRE(nullptr != n);
     auto s = n->sprite;
